Page 1 of 1

php8apache2_4 not recongnized

Posted: 23 Oct 2023, 00:15
by Grizzli
Just tried installing Apache 2.4.57-VS17 with PHP 8.1 then Apache 2.4.54-VS16 with this DLL (php8apache2_4.dll) installed in PHP and Env Path set. Neither version can see the DLL. Says module could not be found but it is in fact installed in the PHP root. This is the code in httpd.conf:
# config to load PHP module 8-1
PHPIniDir "C:/PHP/php-8.1"
LoadModule php_module "C:/PHP/php-8.1/php8apache2_4.dll"
AddHandler application/x-httpd-php .php
AddType application/x-httpd-php .php .html

Something's wrong with this DLL or the Apache builds.